Subject: bug#13848: Statically linking guile-2.0.

From: [email-masked]
Date: Sun, 10 Mar 2013 22:17:14 +0100

I immediately tried it. And after the time spec fixes it looks good so far. The first few GUILECs came through without a hitch. It takes ages though. So might be a while until you hear from me gain.

Regards

Jan Schukat

On 10.03.2013, at 20:23, Andy Wingo <[email-masked]> wrote:

> On Sun 10 Mar 2013 18:32, Andy Wingo <[email-masked]> writes:
> 
>>> The problem is, when I do build bdw-gc with posix threads, the guile
>>> module compiling is all broken, it periodically drops messages like
>>> this:
>>> 
>>>  GUILEC ice-9/eval.go
>>> Backtrace:
>>> In unknown file:
>>>   ?: 3 [apply-smob/1 #<boot-closure 192c100 (_ _ _)> #t ...]
>>>   ?: 2 [apply-smob/1 #<catch-closure 1ccee70>]
>>>   ?: 1 [primitive-eval ((@ # %) (begin # # #))]
>>>   ?: 0 [chmod #<closed: file 0> 438]
> 
> I have made what might be a fix for this issue.  Can you try this
> tarball:
> 
>  http://wingolog.org/priv/guile-2.0.7.182-e9381.tar.gz
> 
> Thanks,
> 
> Andy
> -- 
> http://wingolog.org/